package com.jpattern.orm.test.domain;

import java.io.InputStream;
import java.io.Reader;
import java.sql.Date;

import com.jpattern.orm.annotation.Column;
import com.jpattern.orm.annotation.Generator;
import com.jpattern.orm.annotation.GeneratorType;
import com.jpattern.orm.annotation.Id;

/**
 * 
 * @author Francesco Cina
 *
 * 05/giu/2011
 */
public class PeopleBase  {

	@Id
	@Generator(generatorType = GeneratorType.SEQUENCE, name = "SEQ_PEOPLE")
	private long id;

	private String firstname;
	private String lastname;
	private Date birthdate;
	@Column(name="FIRSTBLOB")
	private InputStream blob;
	private Reader firstclob;

	public long getId() {
		return id;
	}
	public void setId(long id) {
		this.id = id;
	}
	public String getFirstname() {
		return firstname;
	}
	public void setFirstname(String firstname) {
		this.firstname = firstname;
	}
	public String getLastname() {
		return lastname;
	}
	public void setLastname(String lastname) {
		this.lastname = lastname;
	}
	public Date getBirthdate() {
		return birthdate;
	}
	public void setBirthdate(Date birthdate) {
		this.birthdate = birthdate;
	}
	public InputStream getFirstblob() {
		return blob;
	}
	public void setFirstblob(InputStream firstblob) {
		blob = firstblob;
	}
	public void setFirstclob(Reader firstclob) {
		this.firstclob = firstclob;
	}
	public Reader getFirstclob() {
		return firstclob;
	}

}
